SUSE SLES11セキュリティ更新プログラム:freetype2(SUSE-SU-2018:0462-1)

critical Nessus プラグイン ID 106896

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このfreetype2の更新では、以下の問題を修正します:修正されたセキュリティ問題:

- CVE-2016-10244:type1/t1load.cのparse_charstrings関数が、フォントにグリフ名が含まれていることを確認しなかったため、リモートの攻撃者が細工されたファイルを介してサービス拒否(ヒープベースのバッファオーバーリード)を引き起こしたり、詳細不明なその他の影響を与えることが可能でした(bsc#1028103)。

- CVE-2017-8105:psaux/t1decode.caのt1_decoder_parse_charstrings関数に関連するヒープベースのバッファオーバーフローによって引き起こされる領域外書き込みが修正されました(bsc#1035807)

- CVE-2017-8287:psaux/psobjs.cのt1_builder_close_contour関数に関連するヒープベースのバッファオーバーフローによって引き起こされる領域外の書き込みを修正します(bsc#1036457)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaST online_updateを使用してください。
別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Software Development Kit 11-SP4:zypper in -t patch sdksp4-freetype2-13472=1

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch slessp4-freetype2-13472=1

SUSE Linux Enterprise Debuginfo 11-SP4:zypper in -t patch dbgsp4-freetype2-13472=1

お使いのシステムを最新の状態にするには、「zypper パッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1028103

https://bugzilla.suse.com/show_bug.cgi?id=1035807

https://bugzilla.suse.com/show_bug.cgi?id=1036457

https://www.suse.com/security/cve/CVE-2016-10244/

https://www.suse.com/security/cve/CVE-2017-8105/

https://www.suse.com/security/cve/CVE-2017-8287/

http://www.nessus.org/u?1ee839ee

プラグインの詳細

深刻度: Critical

ID: 106896

ファイル名: suse_SU-2018-0462-1.nasl

バージョン: 3.7

タイプ: local

エージェント: unix

公開日: 2018/2/20

更新日: 2021/1/19

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:freetype2, p-cpe:/a:novell:suse_linux:ft2demos, cpe:/o:novell:suse_linux:11

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2018/2/16

脆弱性公開日: 2017/3/6

参照情報

CVE: CVE-2016-10244, CVE-2017-8105, CVE-2017-8287